[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'ExtCtrls' (#lcl)

# TPage.PageIndex

Ordinal position for the page in its Notebook.

## Declaration

Source position: extctrls.pp line 57

`public property TPage.PageIndex : Integer read GetPageIndex;`

## Description

PageIndex is a read-only Integer property which contains the ordinal position for the page in its TNotebook container. The return value is -1 when the Parent control is unassigned, or not derived from TNotebook.

## See also

TNotebook.IndexOf |  | Gets the ordinal position in the list of pages for the specified page object.
TCustomPage.PageIndex |  | Ordinal position for the page in the parent control.
TControl.Parent |  | The control within which the control is shown.